local _, ns = ...

local L = setmetatable({}, { __index = function(t, k)
	local v = tostring(k)
	rawset(t, k, v)
	return v
end })

ns.L = L

local LOCALE = GetLocale()

if LOCALE:match('^en') then
	return 
end

if LOCALE == 'zhCN' then
	L['Interrupt'] = '打断'
	L['Dispel'] = '驱散'
	L['CC Broken'] = '破控'
	L['melee'] = '肉搏'
	L['|cFFFF5151ROSA|r: Oops... You broke %s with melee attack...'] = '|cFFFF5151RSA|r: 嘘... 你刚刚白字伤害破了个 %s ...'
	L['|cFFFF5151ROSA|r: Oops... You broke CC %s with %s...'] = '|cFFFF5151RSA|r: 嘘... 你刚刚破了个 %s ，用的是 %s ...'
	L['Disabled'] = '已禁用'
	L['Enabled'] = '已启用'
	L['Burst'] = '爆发'
	L['Rush'] = '给我狠狠地打'
	L['Revive'] = '战复'
	L['is currently'] = '当前'
	L['Reincarnation'] = '复生'
	L['Soulstone'] = '灵魂石'
	L['Aura Stolen'] = '法术吸取'
	L['^Portal:'] = '^传送门：'
	L['Portal'] = '传送门'
	L['^Ancient Portal:'] = '^远古传送门：'
	L['Warning: Ancient Portal!'] = '警告：远古传送门！'
	L['RoS'] = '召唤仪式'
	L['Candy'] = '马桶'
	L['Beware!'] = '注意!'
	L['Food'] = '餐桌'
	L['Misdirect'] = '误导'
	L['TotT'] = '嫁祸'
	L['Jeeves'] = '基维斯'
	L['Type "/rosa help" for more info.'] = '使用"/rosa help"获取更多信息.'
	L['/rosa - ROSA Status.\n/rosa enable/disable - Enable/Disable ROSA.\n/rosa io - Toggle Instance Only Mode.\n/rosa help - This help.'] = '/rosa - ROSA当前状态.\n/rosa enable/disable - 开启/关闭 ROSA.\n/rosa io - 开启/关闭 仅副本内喊话 模式.\n/rosa help - 这个帮助信息.'
	L['Instance Only Mode'] = '仅副本内喊话模式'
	return 
end

if LOCALE == 'zhTW' then
	L['Interrupt'] = '打斷'
	L['Dispel'] = '驅散'
	L['CC Broken'] = '破控'
	L['melee'] = '肉搏'
	L['|cFFFF5151ROSA|r: Oops... You broke %s with melee attack...'] = '|cFFFF5151RSA|r: 唔喔... 你剛剛打破了一個 %s ...'
	L['|cFFFF5151ROSA|r: Oops... You broke CC %s with %s...'] = '|cFFFF5151RSA|r: 唔喔... 你剛剛打破了一個 %s ，用的是 %s ...'
	L['Disabled'] = '已禁用'
	L['Enabled'] = '已啓用'
	L['Burst'] = '爆發'
	L['Rush'] = true
	L['Revive'] = '戰復'
	L['is currently'] = '當前'
	L['Reincarnation'] = '復生'
	L['Soulstone'] = '靈魂石'
	L['Aura Stolen'] = '法術竊取'
	L['^Portal:'] = '^傳送門：'
	L['Portal'] = '傳送門'
	L['^Ancient Portal:'] = '^遠古傳送門：'
	L['Warning: Ancient Portal!'] = '警告：遠古傳送門！'
	L['RoS'] = '召喚儀式'
	L['Candy'] = '治療石'
	L['Beware!'] = '注意!'
	L['Food'] = '餐桌'
	L['Misdirect'] = '誤導'
	L['TotT'] = '偷天'
	L['Jeeves'] = '吉福斯'
	L['Type "/rosa help" for more info.'] = '使用"/rosa help"獲取更多信息.'
	L['/rosa - ROSA Status.\n/rosa enable/disable - Enable/Disable ROSA.\n/rosa io - Toggle Instance Only Mode.\n/rosa help - This help.'] = '/rosa - ROSA當前狀態.\n/rosa enable/disable - 開啓/關閉 ROSA.\n/rosa io - 開啓/關閉 僅副本内告警 模式.\n/rosa help - 顯示此幫助信息.'
	L['Instance Only Mode'] = '僅副本内告警模式'
	return
end